image: cusspvz/node:7.6.0-development

before_script:
- docker info
- docker login -u gitlab-ci-token -p "$CI_BUILD_TOKEN" registry.gitlab.com

services:
- lordgaav/dind-options

variables:
  DOCKER_IMAGE: registry.gitlab.com/mosano/devops/development
  DOCKER_HOST: "tcp://lordgaav__dind-options:2375"

build:
  script:
  - docker build -t $DOCKER_IMAGE:$CI_COMMIT_SHA .
  - docker tag $DOCKER_IMAGE:$CI_COMMIT_SHA $DOCKER_IMAGE:latest
  - docker push $DOCKER_IMAGE:$CI_COMMIT_SHA
  - docker push $DOCKER_IMAGE:latest
  only:
  - master
